check.utility {bio3d} | R Documentation

## Check on Missing Utility Programs

### Description

Internally used in examples, tests, or vignettes.

### Usage

      check.utility(x = c("muscle", "clustalo", "dssp", "stride",
                    "mustang", "makeup"), quiet = TRUE)

### Arguments

`x` | Names of one or more utility programs to check.
`quiet` | logical, if TRUE no warning or message printed.

### Details

Check if requested utility programs are availabe or not.

### Value

logical, TRUE if programs are available and FALSE if any one of them is missing.

### Examples

       check.utility(c("muscle", "dssp"), quiet=FALSE)
       if(!check.utility("mustang"))
          cat(" The utility program, MUSTANG, is missing on your system\n")

[Package bio3d version 2.3-4 Index]